Bug 1416783 - Rebase to 0.7.0 release to fix numerous bugs
Summary: Rebase to 0.7.0 release to fix numerous bugs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gtk-vnc
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daniel Berrangé
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On:
Blocks: 921008 921330
TreeView+ depends on / blocked
 
Reported: 2017-01-26 12:03 UTC by Daniel Berrangé
Modified: 2017-08-01 19:55 UTC (History)
6 users (show)

Fixed In Version: gtk-vnc-0.7.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:55:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2258 normal SHIPPED_LIVE Moderate: gtk-vnc security, bug fix, and enhancement update 2017-08-01 18:21:01 UTC

Description Daniel Berrangé 2017-01-26 12:03:13 UTC
Description of problem:
Currently RHEL-7 ships gtk-vnc 0.5.2. Since then there have been a huge number of bug fixes a significant number of which are relevant to RHEL7 users of virt-viewer, virt-manager & GNOME Boxes

 o Fix crash on Windows with GTK3 checking realized state
 o Fix XKB detection of keyboard mapping with Xwayland
 o Switch back to XKB detection for Xwayland
 o Remove duplicate cert expiry check
 o Avoid misc compile warnings
 o Add missing API docs + GObject introspection annotations
 o Add missing GIO dep on gvnc library GObject introspection build
 o Remove unused code
 o Fix redraw on Win10
 o Drop support for gnutls < 2.2.0
 o Fix path to h2def script
 o Update compiler warning detection to fix clang build
 o Ignore cast align warnings to fix clang build
 o Fix endianess inversion when setting pixel format
 o Fix auth when using PLAIN SASL method
 o Fix introspection build support on FreeBSD
 o Remove use of deprecated GTK_STOCK_* constants
 o Fix parallel build for introspection files
 o Add mising dep on Gtk introspection file
 o Release held keys when getting grab notify
 o Updated translations
 o Don't call into GDK if no GdkWindow is realized
 o Chain up parent realize_event vfunc
 o Fix colourmap mode by always sending pixel format message
 o Update GCC compiler warning flags used
 o Enable double buffering on Gtk3 to fix child widget clipping
 o Disable -Wbad-function-cast to avoid glib header warnings
 o Don't set thread callbacks on gcrypt >= 1.6 or gnutls >= 2.12
 o Do explicit check for gcrypt since gnutls might use nettle
 o Add support for Wayland & Xwayland keymaps
 o Add support for Gtk Broadway backend keymaps
 o Fix AltGr handling on Windows displays
 o Fix virtual keycode conversion on Win32
 o Fix USB/HID scsancodes for volume keys
 o Time out connection attempt after 10 seconds
 o Abort if out of memory when mmap'ing coroutine stack
 o Stop leaking coroutine stack memory
 o Improve perfornmance of ZRLE encoding by avoiding memmove
 o Only trigger keyboard grab sequence upon key release to
   allow modifiers to go to the remote server
 o Avoid busy loop upon I/O error which follows blocking I/O,
   commonly seen when a server drops the connection
 o Fix handling of --no-undefined flag
 o Don't break implicit pointer grab from mouse clicks
 o Don't drop mouse events that are out of bounds, clamp their
   coordinates instead
 o Show how to block all accelerators in gvncviewer demo program

Rather than try to backport patches, it is simplest to just rebase to 0.6.0 release, since almost all the changes have been bug fixes. The only feature changes betwee 0.5.2 and 0.6.0 are


 o Add --with-tls-priority configure flag to set default TLS
   priority string
 o Add a 'vnc-error' signal to report reason for disconnect
 o Add support for fallback to GNUTLS system trust DB
 o Support QEMU LED state extension

And the TLS priority changes are something we desire in RHEL7 too.

Version-Release number of selected component (if applicable):
0.5.2

Comment 5 Daniel Berrangé 2017-02-15 10:27:37 UTC
Changed desired version to 0.7.0 because this latest version includes a number of CVE fixes we need in RHEL

Comment 7 Bill Sanford 2017-04-24 16:15:19 UTC
Installed RHEL-7.4-20170421.1 and gtk-vnc2-0.7.0-2 is in the install.

Comment 8 errata-xmlrpc 2017-08-01 19:55:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2258


Note You need to log in before you can comment on or make changes to this bug.